Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: heat-cfntools
Version: 1.4.2
Release: alt1_6
Summary: Tools required to be installed on Heat provisioned cloud instances
License: ASL 2.0
URL: https://launchpad.net/heat-cfntools/
Source0: https://pypi.python.org/packages/source/h/heat-cfntools/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-module-distribute
BuildRequires: python3-module-testrepository
BuildRequires: python3-module-boto
BuildRequires: python3-module-mock
BuildRequires: python3-module-nose
BuildRequires: python3-module-pbr >= 0.5.20
BuildRequires: python3-module-six

# imported by cfn_helper
Requires: python3-module-boto
Requires: python3-module-psutil
Requires: python3-module-six >= 1.9.0

# external commands
Requires: bzip2
Requires: coreutils
Requires: curl
Requires: gzip gzip-utils
Requires: python3-module-distribute
Requires: shadow-change shadow-check shadow-convert shadow-edit shadow-groups shadow-log shadow-submap shadow-utils
Requires: tar
Source44: import.info

%description
Tools required to be installed on Heat provisioned cloud instances

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
mkdir -p %{buildroot}/%{_sharedstatedir}/%{name}

%check
nosetests-%{__python3_version}

%files
%doc README.rst CONTRIBUTING.rst AUTHORS ChangeLog
%{!?_licensedir:%global license %%doc}
%doc --no-dereference LICENSE
%{_bindir}/cfn-*
%{python3_sitelibdir_noarch}/heat_cfntools*
%dir %{_sharedstatedir}/%{name}

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_6
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_5
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_4
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_3
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_2
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_2
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_1
- initial fc import

